> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Enabled Filters

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/settings/search/filters
Content-Type: application/json

Updates enabled default [Product Filtering](https://support.bigcommerce.com/s/article/Product-Filtering-Settings) filters.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/settings/search-filters/update-settings-enabled-search-filters

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Body (application/json)

This endpoint expects a list of ConfiguredFilter.

- `list of ConfiguredFilter`

## Response

### 200

OK

- `data` (list of ConfiguredFilter, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### ConfiguredFilter

### MetaOpen

Response metadata.

### EnabledProductFilter

A filter that uses product options and custom field data.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `sort_by` (enum, optional)
  - Allowed values: `alpha`, `option_values`, `item_count`
- `type` (enum, optional)
  - Allowed values: `product`

### EnabledPriceFilter

A filter based on the product’s price, shown as a price range on the storefront.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `price`

### EnabledCategoryFilter

A storefront filter for product category

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `type` (enum, optional)
  - Allowed values: `category`

### EnabledBrandFilter

A storefront filter for product brand

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `sort_by` (enum, optional)
  - Allowed values: `alpha`, `item_count`
- `type` (enum, optional)
  - Allowed values: `brand`

### EnabledRatingFilter

A filter based on product review ratings.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `rating`

### EnabledMiscFilter

Miscellaneous filters which appear as a group.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `show_free_shipping_filter` (boolean, optional)
- `show_in_stock_filter` (boolean, optional)
- `show_is_featured_filter` (boolean, optional)
- `show_product_count` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `other`

## Examples

**Request**

```json
[
  {
    "collapsed_by_default": false,
    "display_name": "Size",
    "display_product_count": true,
    "id": "124",
    "is_enabled": true,
    "items_to_show": 15,
    "sort_by": "alpha",
    "type": "product"
  },
  {
    "collapsed_by_default": false,
    "display_name": "Brand",
    "display_product_count": true,
    "id": "Y123=",
    "is_enabled": true,
    "items_to_show": 10,
    "sort_by": "alpha",
    "type": "brand"
  },
  {
    "collapsed_by_default": false,
    "display_name": "Color",
    "display_product_count": true,
    "id": "Q123=",
    "is_enabled": true,
    "items_to_show": 10,
    "sort_by": "alpha",
    "type": "product"
  },
  {
    "collapsed_by_default": true,
    "display_name": "Ships for Free",
    "display_product_count": true,
    "id": "Y456=",
    "is_enabled": true,
    "show_free_shipping_filter": true,
    "show_in_stock_filter": true,
    "show_is_featured_filter": true,
    "type": "other"
  }
]
```

**Response**

```json
{
  "data": [
    {
      "collapsed_by_default": false,
      "display_name": "Size",
      "display_product_count": true,
      "id": "126",
      "is_enabled": true,
      "items_to_show": 10,
      "sort_by": "alpha",
      "type": "product"
    },
    {
      "collapsed_by_default": false,
      "display_name": "Brand",
      "display_product_count": true,
      "id": "Y123=",
      "is_enabled": true,
      "items_to_show": 10,
      "sort_by": "alpha",
      "type": "brand"
    },
    {
      "collapsed_by_default": false,
      "display_name": "Color",
      "display_product_count": true,
      "id": "Q123=",
      "is_enabled": true,
      "items_to_show": 10,
      "sort_by": "alpha",
      "type": "product"
    },
    {
      "collapsed_by_default": true,
      "display_name": "Ships for Free",
      "display_product_count": true,
      "id": "Y456=",
      "is_enabled": true,
      "show_free_shipping_filter": true,
      "show_in_stock_filter": true,
      "show_is_featured_filter": true,
      "type": "other"
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python example-1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters"

payload = [
    {
        "collapsed_by_default": False,
        "display_name": "Size",
        "display_product_count": True,
        "id": "124",
        "is_enabled": True,
        "items_to_show": 15,
        "sort_by": "alpha",
        "type": "product"
    },
    {
        "collapsed_by_default": False,
        "display_name": "Brand",
        "display_product_count": True,
        "id": "Y123=",
        "is_enabled": True,
        "items_to_show": 10,
        "sort_by": "alpha",
        "type": "brand"
    },
    {
        "collapsed_by_default": False,
        "display_name": "Color",
        "display_product_count": True,
        "id": "Q123=",
        "is_enabled": True,
        "items_to_show": 10,
        "sort_by": "alpha",
        "type": "product"
    },
    {
        "collapsed_by_default": True,
        "display_name": "Ships for Free",
        "display_product_count": True,
        "id": "Y456=",
        "is_enabled": True,
        "show_free_shipping_filter": True,
        "show_in_stock_filter": True,
        "show_is_featured_filter": True,
        "type": "other"
    }
]
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '[{"collapsed_by_default":false,"display_name":"Size","display_product_count":true,"id":"124","is_enabled":true,"items_to_show":15,"sort_by":"alpha","type":"product"},{"collapsed_by_default":false,"display_name":"Brand","display_product_count":true,"id":"Y123=","is_enabled":true,"items_to_show":10,"sort_by":"alpha","type":"brand"},{"collapsed_by_default":false,"display_name":"Color","display_product_count":true,"id":"Q123=","is_enabled":true,"items_to_show":10,"sort_by":"alpha","type":"product"},{"collapsed_by_default":true,"display_name":"Ships for Free","display_product_count":true,"id":"Y456=","is_enabled":true,"show_free_shipping_filter":true,"show_in_stock_filter":true,"show_is_featured_filter":true,"type":"other"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters"

	payload := strings.NewReader("[\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Size\",\n    \"display_product_count\": true,\n    \"id\": \"124\",\n    \"is_enabled\": true,\n    \"items_to_show\": 15,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Brand\",\n    \"display_product_count\": true,\n    \"id\": \"Y123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"brand\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Color\",\n    \"display_product_count\": true,\n    \"id\": \"Q123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": true,\n    \"display_name\": \"Ships for Free\",\n    \"display_product_count\": true,\n    \"id\": \"Y456=\",\n    \"is_enabled\": true,\n    \"show_free_shipping_filter\": true,\n    \"show_in_stock_filter\": true,\n    \"show_is_featured_filter\": true,\n    \"type\": \"other\"\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Size\",\n    \"display_product_count\": true,\n    \"id\": \"124\",\n    \"is_enabled\": true,\n    \"items_to_show\": 15,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Brand\",\n    \"display_product_count\": true,\n    \"id\": \"Y123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"brand\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Color\",\n    \"display_product_count\": true,\n    \"id\": \"Q123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": true,\n    \"display_name\": \"Ships for Free\",\n    \"display_product_count\": true,\n    \"id\": \"Y456=\",\n    \"is_enabled\": true,\n    \"show_free_shipping_filter\": true,\n    \"show_in_stock_filter\": true,\n    \"show_is_featured_filter\": true,\n    \"type\": \"other\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Size\",\n    \"display_product_count\": true,\n    \"id\": \"124\",\n    \"is_enabled\": true,\n    \"items_to_show\": 15,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Brand\",\n    \"display_product_count\": true,\n    \"id\": \"Y123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"brand\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Color\",\n    \"display_product_count\": true,\n    \"id\": \"Q123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": true,\n    \"display_name\": \"Ships for Free\",\n    \"display_product_count\": true,\n    \"id\": \"Y456=\",\n    \"is_enabled\": true,\n    \"show_free_shipping_filter\": true,\n    \"show_in_stock_filter\": true,\n    \"show_is_featured_filter\": true,\n    \"type\": \"other\"\n  }\n]")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters', [
  'body' => '[
  {
    "collapsed_by_default": false,
    "display_name": "Size",
    "display_product_count": true,
    "id": "124",
    "is_enabled": true,
    "items_to_show": 15,
    "sort_by": "alpha",
    "type": "product"
  },
  {
    "collapsed_by_default": false,
    "display_name": "Brand",
    "display_product_count": true,
    "id": "Y123=",
    "is_enabled": true,
    "items_to_show": 10,
    "sort_by": "alpha",
    "type": "brand"
  },
  {
    "collapsed_by_default": false,
    "display_name": "Color",
    "display_product_count": true,
    "id": "Q123=",
    "is_enabled": true,
    "items_to_show": 10,
    "sort_by": "alpha",
    "type": "product"
  },
  {
    "collapsed_by_default": true,
    "display_name": "Ships for Free",
    "display_product_count": true,
    "id": "Y456=",
    "is_enabled": true,
    "show_free_shipping_filter": true,
    "show_in_stock_filter": true,
    "show_is_featured_filter": true,
    "type": "other"
  }
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Size\",\n    \"display_product_count\": true,\n    \"id\": \"124\",\n    \"is_enabled\": true,\n    \"items_to_show\": 15,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Brand\",\n    \"display_product_count\": true,\n    \"id\": \"Y123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"brand\"\n  },\n  {\n    \"collapsed_by_default\": false,\n    \"display_name\": \"Color\",\n    \"display_product_count\": true,\n    \"id\": \"Q123=\",\n    \"is_enabled\": true,\n    \"items_to_show\": 10,\n    \"sort_by\": \"alpha\",\n    \"type\": \"product\"\n  },\n  {\n    \"collapsed_by_default\": true,\n    \"display_name\": \"Ships for Free\",\n    \"display_product_count\": true,\n    \"id\": \"Y456=\",\n    \"is_enabled\": true,\n    \"show_free_shipping_filter\": true,\n    \"show_in_stock_filter\": true,\n    \"show_is_featured_filter\": true,\n    \"type\": \"other\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "collapsed_by_default": false,
    "display_name": "Size",
    "display_product_count": true,
    "id": "124",
    "is_enabled": true,
    "items_to_show": 15,
    "sort_by": "alpha",
    "type": "product"
  ],
  [
    "collapsed_by_default": false,
    "display_name": "Brand",
    "display_product_count": true,
    "id": "Y123=",
    "is_enabled": true,
    "items_to_show": 10,
    "sort_by": "alpha",
    "type": "brand"
  ],
  [
    "collapsed_by_default": false,
    "display_name": "Color",
    "display_product_count": true,
    "id": "Q123=",
    "is_enabled": true,
    "items_to_show": 10,
    "sort_by": "alpha",
    "type": "product"
  ],
  [
    "collapsed_by_default": true,
    "display_name": "Ships for Free",
    "display_product_count": true,
    "id": "Y456=",
    "is_enabled": true,
    "show_free_shipping_filter": true,
    "show_in_stock_filter": true,
    "show_is_featured_filter": true,
    "type": "other"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```